• Cannot find the problem with AURMAN and Yaourt


    Hey all. I have a problem. I cannot find out what it is.
    So if I use yaourt I get this:

    [[email protected] ~]$ yaourt -S s
    curl error: Couldn't resolve host name
    
    

    And if I use aurman I get this:

    [[email protected] ~]$ aurman -S s
    ~~ initializing aurman...
    2018-04-16 20:12:15,854 - aur_utilities - get_aur_info - ERROR - Connection problem while requesting AUR info for ['vlc-arc-dark-git', 'kerio-control-vpnclient', 'kaa-base', 'libinput-gestures', 'gesture-manager-git', 'fsearch-git', 'gpointing-device-settings', 'bitmask', 'arc', 'python3-threaded_servers', 'ttf-ms-fonts', 'spotify-adkiller-git', 'svp', 'spotify', 'nemo-pastebin', 'mpv-vapoursynth', 'nemo-media-columns', 'google-chrome-beta', 'kaa-metadata', 'python3-aur', 'ufraw-thumbnailer', 'aurman', 'tusk', 'openvpn-protonvpn', 'typora', 'vapoursynth-git', 'wacom-utility', 'mujs', 'libsynaptics']
    Traceback (most recent call last):
      File "/usr/lib/python3.6/site-packages/aurman/aur_utilities.py", line 46, in get_aur_info
        ["{}{}".format(query_prefix, parameter) for parameter in query_parameters])), timeout=5).text)[
      File "/usr/lib/python3.6/site-packages/requests/api.py", line 72, in get
        return request('get', url, params=params, **kwargs)
      File "/usr/lib/python3.6/site-packages/requests/api.py", line 58, in request
        return session.request(method=method, url=url, **kwargs)
      File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
        resp = self.send(prep, **send_kwargs)
      File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
        r = adapter.send(request, **kwargs)
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 405, in send
        conn = self.get_connection(request.url, proxies)
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 303, in get_connection
        proxy_manager = self.proxy_manager_for(proxy)
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 187, in proxy_manager_for
        **proxy_kwargs
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 44, in SOCKSProxyManager
        raise InvalidSchema("Missing dependencies for SOCKS support.")
    requests.exceptions.InvalidSchema: Missing dependencies for SOCKS support.
    2018-04-16 20:12:15,855 - main - main - ERROR - 
    Traceback (most recent call last):
      File "/usr/lib/python3.6/site-packages/aurman/aur_utilities.py", line 46, in get_aur_info
        ["{}{}".format(query_prefix, parameter) for parameter in query_parameters])), timeout=5).text)[
      File "/usr/lib/python3.6/site-packages/requests/api.py", line 72, in get
        return request('get', url, params=params, **kwargs)
      File "/usr/lib/python3.6/site-packages/requests/api.py", line 58, in request
        return session.request(method=method, url=url, **kwargs)
      File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
        resp = self.send(prep, **send_kwargs)
      File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
        r = adapter.send(request, **kwargs)
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 405, in send
        conn = self.get_connection(request.url, proxies)
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 303, in get_connection
        proxy_manager = self.proxy_manager_for(proxy)
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 187, in proxy_manager_for
        **proxy_kwargs
      File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 44, in SOCKSProxyManager
        raise InvalidSchema("Missing dependencies for SOCKS support.")
    requests.exceptions.InvalidSchema: Missing dependencies for SOCKS support.
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.6/site-packages/aurman/main.py", line 525, in main
        process(argv[1:])
      File "/usr/lib/python3.6/site-packages/aurman/main.py", line 285, in process
        installed_system = System(System.get_installed_packages())
      File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 1157, in get_installed_packages
        [package.name for package in Package.get_packages_from_aur(list(unclassified_installed_names))])
      File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 166, in get_packages_from_aur
        aur_return = get_aur_info(packages_names)
      File "/usr/lib/python3.6/site-packages/aurman/aur_utilities.py", line 50, in get_aur_info
        raise ConnectionProblem("Connection problem while requesting AUR info for {}".format(package_names))
    aurman.own_exceptions.ConnectionProblem: Connection problem while requesting AUR info for ['vlc-arc-dark-git', 'kerio-control-vpnclient', 'kaa-base', 'libinput-gestures', 'gesture-manager-git', 'fsearch-git', 'gpointing-device-settings', 'bitmask', 'arc', 'python3-threaded_servers', 'ttf-ms-fonts', 'spotify-adkiller-git', 'svp', 'spotify', 'nemo-pastebin', 'mpv-vapoursynth', 'nemo-media-columns', 'google-chrome-beta', 'kaa-metadata', 'python3-aur', 'ufraw-thumbnailer', 'aurman', 'tusk', 'openvpn-protonvpn', 'typora', 'vapoursynth-git', 'wacom-utility', 'mujs', 'libsynaptics']
    
    

    I searched and there were people who tried turning off ipv6. I tried that, and it did not work. I also tried putting AUR’s ip configuration in /etc/hosts and it did not help.
    Here are some other outputs:

    [[email protected] ~]$ mtr -Tb -rw -c 5 google.com
    Start: 2018-04-16T20:15:08+0430
    HOST: amirlaptop                                           Loss%   Snt   Last   Avg  Best  Wrst StDev
      1.|-- ???                                                  100.0     5    0.0   0.0   0.0   0.0   0.0
      2.|-- ???                                                  100.0     5    0.0   0.0   0.0   0.0   0.0
      3.|-- fd00:2a03:15:e::1                                     0.0%     5   19.3  40.9  19.3  59.0  15.6
      4.|-- fd00:2a03:15:2::2                                     0.0%     5   39.5  38.2  33.3  47.9   5.9
      5.|-- fd00:2a03:15:6::2                                     0.0%     5   37.2  34.5  23.4  42.5   7.8
      6.|-- fd00:2a03:15:9::2                                     0.0%     5   38.9  35.7  32.3  39.7   3.4
      7.|-- 2a03:57c0:7c00::3251:2401                             0.0%     5   34.8  53.3  34.8  93.5  24.8
      8.|-- 2a03:57c0:7c00::452:841                               0.0%     5   31.3  35.0  24.5  42.5   7.5
      9.|-- 2a01:6480:10::69                                      0.0%     5   55.5  52.0  46.7  57.7   4.7
     10.|-- 2a01:6480:0:9::d5                                     0.0%     5   64.1  64.2  57.9  71.1   4.8
     11.|-- 2a01:6480:0:9::9a                                     0.0%     5   83.1  88.7  79.2 102.6   8.9
     12.|-- 2001:4860:1:1:0:7179:0:12                             0.0%     5  117.4 122.2 117.4 125.4   3.8
     13.|-- 2001:4860:0:1171::2                                   0.0%     5  126.4 126.1 120.5 132.8   5.4
     14.|-- 2001:4860::1:0:446f                                   0.0%     5  130.9 125.4 118.0 131.3   5.9
     15.|-- 2001:4860::c:4000:f873                                0.0%     5  130.4 137.3 130.4 150.0   8.0
     16.|-- 2607:f8b0:e000:8000::4                                0.0%     5  127.5 133.3 127.5 146.5   7.6
     17.|-- 2607:f8b0:e000:8000::6                                0.0%     5  178.2 153.6 130.2 178.2  22.3
     18.|-- 2607:f8b0:e000:8000::5                                0.0%     5  138.5 143.4 135.1 158.3   9.5
     19.|-- 2001:4860:0:1103::1                                   0.0%     5  144.1 142.7 131.7 155.2   8.6
     20.|-- lhr35s10-in-x0e.1e100.net (2a00:1450:4009:812::200e)  0.0%     5  140.4 146.0 131.6 161.2  11.9
    
    [[email protected] ~]$ host google.com
    google.com has address 172.217.27.238
    google.com has IPv6 address 2a00:1450:4009:812::200e
    google.com mail is handled by 40 alt3.aspmx.l.google.com.
    google.com mail is handled by 10 aspmx.l.google.com.
    google.com mail is handled by 20 alt1.aspmx.l.google.com.
    google.com mail is handled by 30 alt2.aspmx.l.google.com.
    google.com mail is handled by 50 alt4.aspmx.l.google.com.
    
    
    [[email protected] ~]$ host aur.archlinux.org
    aur.archlinux.org has address 5.9.250.164
    aur.archlinux.org has IPv6 address 2a01:4f8:160:3033::2
    aur.archlinux.org mail is handled by 10 mx.archlinux.org.
    
    [[email protected] ~]$ ping -6 aur.archlinux.org
    PING aur.archlinux.org(luna.archlinux.org (2a01:4f8:160:3033::2)) 56 data bytes
    64 bytes from luna.archlinux.org (2a01:4f8:160:3033::2): icmp_seq=1 ttl=49 time=204 ms
    64 bytes from luna.archlinux.org (2a01:4f8:160:3033::2): icmp_seq=2 ttl=49 time=226 ms
    ^C
    --- aur.archlinux.org ping statistics ---
    3 packets transmitted, 2 received, 33% packet loss, time 2002ms
    rtt min/avg/max/mdev = 204.198/215.507/226.817/11.319 ms
    
    [[email protected] ~]$ networkctl status wlp3s0
    WARNING: systemd-networkd is not running, output will be incomplete.
    
    ● 3: wlp3s0
           Link File: /usr/lib/systemd/network/99-default.link
        Network File: n/a
                Type: wlan
               State: n/a (unmanaged)
                Path: pci-0000:03:00.0
              Driver: iwlwifi
              Vendor: Intel Corporation
               Model: Dual Band Wireless-AC 3165 Plus Bluetooth
          HW Address: 34:f6:4b:e5:c2:39 (Intel Corporate)
             Address: 192.168.43.214
                      2a01:5ec0:9000:e81a:1af7:e962:62ed:b0b1
                      fe80::e3d5:bdb7:ca2:d4b9
             Gateway: 192.168.43.1 (LG Electronics (Mobile Communications))
                      fe80::209d:d557:bb9:70d2 (LG Electronics (Mobile Communicatio>
    

    Any ideas?

  • @amirography I saw you problem and got the same on Arch Linux with AURMAN.
    Managed to fix it by removing some old AUR installed packages. e.g. sudo pacman -Rsc gstreamer0.10.

    My guess it that something in “get_aur_info” broke with the combination of packages it listed.
    Look the the error given, it should list some packages that it’s trying to fetch and remove those if you still have issues.

    I know this topic is old but thought it will be good idea to register and post a reply since this was very annoying to figure out and it might help someone else.

  • @warkanum please do not necrodumping old threads…
    if you have an issue open a new thread as it is most likely not the same problem…

    –closing–

yaourt30 aurman3 Posts 3Views 1087
Locked
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.